Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
rapidjson::GenericStringStream< Encoding > Struct Template Reference

Read-only string stream. More...

`#include <stream.h>`

## Public Types
typedef Encoding::Ch | Ch

## Public Member Functions
| GenericStringStream (const Ch *src)
Ch | Peek () const
Ch | Take ()
size_t | Tell () const
Ch * | PutBegin ()
void | Put (Ch)
void | Flush ()
size_t | PutEnd (Ch *)

## Public Attributes
const Ch * | src_
| Current read position.
const Ch * | head_
| Original head of the string.

## Detailed Description

template<typename Encoding>
struct rapidjson::GenericStringStream< Encoding >

Read-only string stream.

Note
  implements Stream concept

The documentation for this struct was generated from the following files:

- include/rapidjson/fwd.h
- include/rapidjson/stream.h